## org.apache.portals.bridges.jsf
Class AbstractAttributeMap.KeySet

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractSet
              org.apache.portals.bridges.jsf.AbstractAttributeMap.KeySet

All Implemented Interfaces:
  Collection, Set

Direct Known Subclasses:
  AbstractAttributeMap.EntrySet, AbstractAttributeMap.Values

Enclosing class:
  AbstractAttributeMap

private class AbstractAttributeMap.KeySet
extends AbstractSet

Constructor Summary
`private` `AbstractAttributeMap.KeySet()`

Method Summary
`void` `clear()`
`boolean` `contains(Object o)`
`boolean` `isEmpty()`
`Iterator` `iterator()`
`boolean` `remove(Object o)`
`int` `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, containsAll, retainAll, toArray, toArray`

Constructor Detail

### AbstractAttributeMap.KeySet

    private AbstractAttributeMap.KeySet()

Method Detail

### iterator

    public Iterator iterator()

### isEmpty

    public boolean isEmpty()

### size

    public int size()

### contains

    public boolean contains(Object o)

### remove

    public boolean remove(Object o)

### clear

    public void clear()

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.